package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class EstrattoreProvince.
 * @see sicura.entities.EstrattoreProvince
 * @author Hibernate Tools
 */
@Stateless
public class EstrattoreProvinceHome {

	private static final Log log = LogFactory.getLog(EstrattoreProvinceHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(EstrattoreProvince transientInstance) {
		log.debug("persisting EstrattoreProvince instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(EstrattoreProvince persistentInstance) {
		log.debug("removing EstrattoreProvince instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public EstrattoreProvince merge(EstrattoreProvince detachedInstance) {
		log.debug("merging EstrattoreProvince instance");
		try {
			EstrattoreProvince result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public EstrattoreProvince findById(Integer id) {
		log.debug("getting EstrattoreProvince instance with id: " + id);
		try {
			EstrattoreProvince instance = entityManager.find(EstrattoreProvince.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
